#!/bin/sh

PREFIX=$(expr $0 : "\(/.*/\)etc/rc\.d/$(basename $0)\$")

count_gate=${PREFIX}bin/count_gate

case "$1" in
start)
	if [ -x $count_gate ]; then
		$count_gate >/dev/null 2>&1 &
		echo -n ' count'
	fi
	;;
stop)
	if [ -r /var/run/count.pid ]; then
		kill `cat  /var/run/count.pid` >/dev/null 2>&1 &
		echo -n ' count'
	fi
	;;
*)
	echo "Usage: `basename $0` {start|stop}" >&2
	;;
esac

exit 0
